# To use:
#
#   $ conda env create -f environment.yml  # `mamba` works too for this command
#   $ conda activate numpy-dev
#
name: numpy-dev
channels:
  - conda-forge
dependencies:
  - python=3.12  # need to pin to avoid issues with builds
  - cython>=3.0
  - compilers
  - openblas
  - nomkl
  - setuptools==65.5.1
  - ninja
  - pkg-config
  - meson-python
  - spin==0.13
  - ccache
  # For testing
  - pytest
  - pytest-cov
  - pytest-xdist
  - hypothesis
  # For type annotations
  - typing_extensions>=4.2.0  # needed for python < 3.10
  - mypy=1.14.1
  - orjson  # makes mypy faster
  # For building docs
  - sphinx>=4.5.0
  - sphinx-copybutton
  - sphinx-design
  - numpydoc=1.4.0
  - ipython
  - scipy
  - pandas
  - matplotlib
  - pydata-sphinx-theme>=0.15.2
  - doxygen
  - towncrier
  # NOTE: breathe 4.33.0 collides with sphinx.ext.graphviz
  - breathe>4.33.0
  # For linting
  - pycodestyle=2.12.1
  - gitpython
  # Used in some tests
  - cffi
  - pytz
